Package ghidra.trace.database.memory

# Record Class DBTraceMemoryRegion.Keys

java.lang.Object
java.lang.Record
ghidra.trace.database.memory.DBTraceMemoryRegion.Keys

Enclosing class:
  `DBTraceMemoryRegion`

protected static record DBTraceMemoryRegion.Keys(Set<String> all, String range, String display, Set<String> flags) extends Record

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Keys(Set<String> all, String range, String display, Set<String> flags)`
  Creates an instance of a `Keys` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `all()`
  Returns the value of the `all` record component.
  `String`
  `display()`
  Returns the value of the `display` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Set<String>`
  `flags()`
  Returns the value of the `flags` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isDisplay(String key)`
  `boolean`
  `isFlag(String key)`
  `boolean`
  `isRange(String key)`
  `String`
  `range()`
  Returns the value of the `range` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Keys

    protected Keys(Set<String> all, String range, String display, Set<String> flags)
    Creates an instance of a `Keys` record class.
    Parameters:
      `all` - the value for the `all` record component
      `range` - the value for the `range` record component
      `display` - the value for the `display` record component
      `flags` - the value for the `flags` record component

- ## Method Details

  - ### isRange

    public boolean isRange(String key)

  - ### isDisplay

    public boolean isDisplay(String key)

  - ### isFlag

    public boolean isFlag(String key)

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### all

    public Set<String> all()
    Returns the value of the `all` record component.
    Returns:
      the value of the `all` record component

  - ### range

    public String range()
    Returns the value of the `range` record component.
    Returns:
      the value of the `range` record component

  - ### display

    public String display()
    Returns the value of the `display` record component.
    Returns:
      the value of the `display` record component

  - ### flags

    public Set<String> flags()
    Returns the value of the `flags` record component.
    Returns:
      the value of the `flags` record component